/*
** iplog_icmp.h - iplog ICMP traffic logger data.
** Copyright (C) 1999 behe <eric@ojnk.net>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
*/

#ifndef __ICMP_H
#define __ICMP_H

static const char *simplify_codes[] = {
	"ICMP_ECHO_REPLY",
	"1",
	"2",
	"ICMP_DEST_UNREACHABLE",
	"ICMP_SOURCE_QUENCH",
	"ICMP_REDIRECT",
	"6",
	"7",
	"ICMP_ECHO",
	"ICMP_ROUTER_ADVERT",
	"ICMP_ROUTER_SOLICIT",
	"ICMP_TIME_EXCEEDED",
	"ICMP_PARAMETER_PROBLEM",
	"ICMP_TIMESTAMP",
	"ICMP_TIMESTAMP_REPLY",
	"ICMP_INFO_REQUEST",
	"ICMP_INFO_REPLY",
	"ICMP_ADDRESS_REQUEST",
	"ICMP_ADDRESS_REPLY"
};

static const char *icmp_codes[] = {
	"ICMP: echo reply from %s (%u bytes)",
	NULL,
	NULL,
	"ICMP: destination unreachable from %s",
	"ICMP: source quench from %s",
	"ICMP: redirect message from %s",
	NULL,
	NULL,
	"ICMP: echo from %s (%u bytes)",
	"ICMP: router advertisement from %s",
	"ICMP: router solicitation from %s",
	"ICMP: %s: time exceeded (%s)",
	"ICMP: parameter problem from %s (ptr %d)",
	"ICMP: timestamp request from %s",
	"ICMP: timestamp reply from %s (%s)",
	"ICMP: info request from %s",
	"ICMP: info reply from %s",
	"ICMP: address mask request from %s",
	"ICMP: address mask reply from %s (%s)"
};

static const char *icmp_unreach[] = {
	"ICMP: %s: network is unreachable (%s)",
	"ICMP: %s: host is unreachable (%s)",
	"ICMP: %s: protocol is unreachable (%s)",
	"ICMP: %s: port is unreachable (%s)",
	"ICMP: %s: fragmentation needed, IP_DF set (%s)",
	"ICMP: %s: source route failed (%s)",
	"ICMP: %s: network is unreachable(?) (%s)",
	"ICMP: %s: host is unreachable(?) (%s)",
	"ICMP: %s: host is isolated from source (%s)",
	"ICMP: %s: network is unreachable because of admin prohibited filter (%s)",
	"ICMP: %s: host is unreachable because of admin prohibited filter (%s)",
	"ICMP: %s: network is unreachable because tos is prohibited (%s)",
	"ICMP: %s: host is unreachable because tos is prohibited (%s)",
	"ICMP: %s: packet filtered (%s)",
	"ICMP: %s: precedence violation (%s)",
	"ICMP: %s: precedence cutoff (%s)"
};

static const char *icmp_redir[] = {
	"ICMP: (%s) redirect %s to network %s",
	"ICMP: (%s) redirect %s to host %s",
	"ICMP: (%s) redirect-tos %s to network %s",
	"ICMP: (%s) redirect-tos %s to host %s"
};

#endif /* __ICMP_H */

/* vim:ts=4:sw=8:tw=0 */
